package com.huashe.park.core.mapper;

import java.util.HashMap;
import java.util.List;

import com.huashe.common.annotation.mybatis.Tenant;
import com.huashe.park.domain.entity.PileMachineInfo;

/**
 * 施工桩机信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-12
 */
public interface PileMachineInfoMapper {
    /**
     * 查询施工桩机信息
     * 
     * @param id 施工桩机信息主键
     * @return 施工桩机信息
     */
    public PileMachineInfo selectPileMachineInfoById(Long id);

    public PileMachineInfo selectPileMachineInfoByByteId(String byteId);

    /**
     * 查询施工桩机信息列表
     * 
     * @param pileMachineInfo 施工桩机信息
     * @return 施工桩机信息集合
     */
    public List<PileMachineInfo> selectPileMachineInfoList(PileMachineInfo pileMachineInfo);

    /**
     * 新增施工桩机信息
     * 
     * @param pileMachineInfo 施工桩机信息
     * @return 结果
     */
    public int insertPileMachineInfo(PileMachineInfo pileMachineInfo);

    /**
     * 修改施工桩机信息
     * 
     * @param pileMachineInfo 施工桩机信息
     * @return 结果
     */
    public int updatePileMachineInfo(PileMachineInfo pileMachineInfo);

    /**
     * 删除施工桩机信息
     * 
     * @param id 施工桩机信息主键
     * @return 结果
     */
    public int deletePileMachineInfoById(Long id);

    /**
     * 批量删除施工桩机信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePileMachineInfoByIds(Long[] ids);

    HashMap<String, Integer> cntMachineOnOffline();

    @Tenant(tableAlias = "cpmi")
    List<PileMachineInfo> qryUnitMachine(Long consUnitId);
    @Tenant(tableAlias = "cpmi")
    List<PileMachineInfo> selectMachineByConsUnitId(Long consUnitId);

}
